## ancient 1.0

=== Makefile ===
# Copyright (C) Teemu Suutari

VPATH  := src src/Lzh src/Zip src/common fuzzing

CXX	?= c++
COMMONFLAGS = -Os -Wall -Wsign-compare -Wnarrowing -Wno-error=multichar -Wno-multichar -Isrc
CFLAGS	= $(COMMONFLAGS)
CXXFLAGS = $(COMMONFLAGS) -std=c++17 -fno-rtti

PROG	= ancient
MAIN	?= main.o
OBJS	= Buffer.o Common.o MemoryBuffer.o StaticBuffer.o SubBuffer.o CRC16.o CRC32.o \
	Decompressor.o XPKDecompressor.o XPKMain.o \
	OutputStream.o InputStream.o RangeDecoder.o \
	ACCADecompressor.o ARTMDecompressor.o BLZWDecompressor.o BZIP2Decompressor.o \
	CBR0Decompressor.o CRMDecompressor.o CYB2Decoder.o DEFLATEDecompressor.o \
	DLTADecode.o DMSDecompressor.o FASTDecompressor.o FBR2Decompressor.o \
	FRLEDecompressor.o HFMNDecompressor.o HUFFDecompressor.o ILZRDecompressor.o \
	IMPDecompressor.o LHLBDecompressor.o LIN1Decompressor.o LIN2Decompressor.o \
	LZBSDecompressor.o LZCBDecompressor.o LZW2Decompressor.o LZW4Decompressor.o \
	LZW5Decompressor.o LZXDecompressor.o MASHDecompressor.o MMCMPDecompressor.o \
	NONEDecompressor.o NUKEDecompressor.o PPDecompressor.o RAKEDecompressor.o \
	RDCNDecompressor.o RLENDecompressor.o RNCDecompressor.o SDHCDecompressor.o \
	SHR3Decompressor.o SHRIDecompressor.o SLZ3Decompressor.o SMPLDecompressor.o \
	StoneCrackerDecompressor.o SQSHDecompressor.o SXSCDecompressor.o TDCSDecompressor.o \
	TPWMDecompressor.o  ZENODecompressor.o LH1Decompressor.o LH2Decompressor.o \
	LH3Decompressor.o LHXDecompressor.o LZ5Decompressor.o LZSDecompressor.o \
	PMDecompressor.o LZHDecompressor.o ImplodeDecompressor.o ReduceDecompressor.o \
	ShrinkDecompressor.o ZIPDecompressor.o

all: $(PROG)

.cpp.o:
	$(CXX) $(CXXFLAGS) -o $@ -c $<

$(PROG): $(OBJS) $(MAIN)
	$(CXX) $(CFLAGS) -o $@ $^

clean:
	rm -f $(OBJS) $(MAIN) $(PROG) *~ src/*~

.PHONY:

=== extra/Makefile ===
# Copyright (C) Teemu Suutari

VPATH  := ../src ../src/common

CC	= clang
CXX	= clang++
COMMONFLAGS = -g -Wall -Wsign-compare -Wshorten-64-to-32 -Wno-error=multichar -Wno-multichar -I../src
CFLAGS	= $(COMMONFLAGS)
CXXFLAGS = $(COMMONFLAGS) -std=c++14 -fno-rtti

PROG	= bruteRNC1
OBJS	= Buffer.o SubBuffer.o BruteForceRNC1Encoder.o

all: $(PROG)

.cpp.o:
	$(CXX) $(CXXFLAGS) -o $@ -c $<

.c.o:
	$(CC) $(CFLAGS) -o $@ -c $<

$(PROG): $(OBJS)
	$(CXX) $(CFLAGS) -o $(PROG) $(OBJS)

clean:
	rm -f $(OBJS) $(PROG) *~ src/*~

.PHONY:

=== debian/changelog ===
ancient (1.0-2) unstable; urgency=medium

  * Source only upload.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 20 Jan 2021 05:17:30 +0100

ancient (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #978090)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 25 Dec 2020 14:55:19 +0100

=== debian/control ===
Source: ancient
Section: utils
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Homepage: https://github.com/temisu/ancient
Vcs-Browser: https://salsa.debian.org/myczko-guest/ancient
Vcs-Git: https://salsa.debian.org/myczko-guest/ancient.git
Rules-Requires-Root: no

Package: ancient
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: decompression routines for ancient formats
 This is a collection of decompression routines for old formats popular in the
 Amiga, Atari computers and some other systems from 80's and 90's as well as
 some that are currently used which were used in a some specific way in these
 old systems.
 .
 For simple usage both a simple command line application as well as a simple
 API to use the decompressors are provided. The compression algorithm is
 automatically detected in most cases, however there are some corner cases
 where it is not entirely reliable due to weaknesses in the old format used.

## ancient 2.0.0

=== debian/changelog ===
ancient (2.0.0-2) unstable; urgency=medium

  * d/control: add missing b-d autoconf-archive, pkg-config.

 -- Gürkan Myczko <tar@debian.org>  Sun, 21 Aug 2022 20:50:15 +0200

ancient (2.0.0-1) unstable; urgency=medium

  * New upstream version.
  * Update maintainer address.
  * Bump standards version to 4.6.1.
  * d/control: new binary packages for the library.

 -- Gürkan Myczko <tar@debian.org>  Sun, 21 Aug 2022 13:06:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,49 @@
 Source: ancient
 Section: utils
 Priority: optional
-Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Maintainer: Gürkan Myczko <tar@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ autoconf-archive,
+ pkg-config,
+Standards-Version: 4.6.1
 Homepage: https://github.com/temisu/ancient
-Vcs-Browser: https://salsa.debian.org/myczko-guest/ancient
-Vcs-Git: https://salsa.debian.org/myczko-guest/ancient.git
+Vcs-Browser: https://salsa.debian.org/tar/ancient
+Vcs-Git: https://salsa.debian.org/tar/ancient.git
 Rules-Requires-Root: no
 
 Package: ancient
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, , libancient2 (= ${binary:Version})
+Description: decompression routines for ancient formats
+ This is a collection of decompression routines for old formats popular in the
+ Amiga, Atari computers and some other systems from 80's and 90's as well as
+ some that are currently used which were used in a some specific way in these
+ old systems.
+ .
+ For simple usage both a simple command line application as well as a simple
+ API to use the decompressors are provided. The compression algorithm is
+ automatically detected in most cases, however there are some corner cases
+ where it is not entirely reliable due to weaknesses in the old format used.
+
+Package: libancient-dev
+Section: libdevel
+Architecture: any
+Depends: ${misc:Depends}, libancient2 (= ${binary:Version})
+Description: decompression routines for ancient formats - development files
+ This is a collection of decompression routines for old formats popular in the
+ Amiga, Atari computers and some other systems from 80's and 90's as well as
+ some that are currently used which were used in a some specific way in these
+ old systems.
+ .
+ For simple usage both a simple command line application as well as a simple
+ API to use the decompressors are provided. The compression algorithm is
+ automatically detected in most cases, however there are some corner cases
+ where it is not entirely reliable due to weaknesses in the old format used.
+ .
+ This package provides ancient library development files.
+
+Package: libancient2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: decompression routines for ancient formats

## ancient 2.1.0+ds

=== debian/changelog ===
ancient (2.1.0+ds-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:42:32 +0200

ancient (2.1.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/copyright:
    - bump copyright years.
    - Files-Excluded: testing.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Tue, 11 Jul 2023 18:23:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ancient
 Section: utils
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  autoconf-archive,
  pkg-config,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/temisu/ancient
 Vcs-Browser: https://salsa.debian.org/tar/ancient
 Vcs-Git: https://salsa.debian.org/tar/ancient.git

## ancient 2.2.0

=== debian/changelog ===
ancient (2.2.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.0.
  * d/copyright: bump years.
  * d/control: update build-depends pkg-config to pkgconf.

 -- Alex Myczko <tar@debian.org>  Sun, 09 Jun 2024 18:47:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ancient
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  autoconf-archive,
- pkg-config,
-Standards-Version: 4.6.2
+ pkgconf,
+Standards-Version: 4.7.0
 Homepage: https://github.com/temisu/ancient
 Vcs-Browser: https://salsa.debian.org/tar/ancient
 Vcs-Git: https://salsa.debian.org/tar/ancient.git

## ancient 2.3.0

=== extra/Makefile ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 CC	= clang
 CXX	= clang++
-COMMONFLAGS = -g -Wall -Wsign-compare -Wshorten-64-to-32 -Wno-error=multichar -Wno-multichar -I../src
+COMMONFLAGS = -g -Wall -Wsign-compare -Wshorten-64-to-32 -I../src -I../api -I../api/ancient
 CFLAGS	= $(COMMONFLAGS)
-CXXFLAGS = $(COMMONFLAGS) -std=c++14 -fno-rtti
+CXXFLAGS = $(COMMONFLAGS) -std=c++17 -fno-rtti
 
 PROG	= bruteRNC1
 OBJS	= Buffer.o SubBuffer.o BruteForceRNC1Encoder.o

=== debian/changelog ===
ancient (2.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.7.2.
  * d/copyright: bump years.
  * d/control: Vcs move to debian from personal.

 -- Alex Myczko <tar@debian.org>  Tue, 23 Sep 2025 08:18:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  debhelper-compat (= 13),
  autoconf-archive,
  pkgconf,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/temisu/ancient
-Vcs-Browser: https://salsa.debian.org/tar/ancient
-Vcs-Git: https://salsa.debian.org/tar/ancient.git
+Vcs-Browser: https://salsa.debian.org/debian/ancient
+Vcs-Git: https://salsa.debian.org/debian/ancient.git
 Rules-Requires-Root: no
 
 Package: ancient

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/temisu/ancient/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
